#!/bin/bash

conf_file=/etc/samba/policy.conf/definition.conf

#if there no version number gived,exit
for param in "$@"
do
    tmp=${param%%=*}
    if [ "$tmp" = "--VerNum" ];then
	vernum=${param#*=}
    elif [ "$tmp" = "--PathName" ];then
        pathname=${param#*=}
    elif [ "$tmp" = "--FileName" ];then
        filename=${param#*=}
    fi
done

if [ "${vernum:0:5}" = "**Del" ] || [ "${pathname:0:5}" = "**Del" ] || [ "${filename:0:5}" = "**Del" ];then
    if [ -f $conf_file ];then
        rm -rf $conf_file
    fi
else
    cat /dev/null > $conf_file
    for param in "$@"
    do
        tmp=${param%%=*}
        if [ "$tmp" = "--VerNum" ];then
            echo $param >> $conf_file
        elif [ "$tmp" = "--PathName" ];then
            echo $param >> $conf_file
        elif [ "$tmp" = "--FileName" ];then
            echo $param >> $conf_file
        fi
    done
fi
