#!/bin/bash

conf_file=/etc/samba/policy.conf/software_install_user.conf

#if there no version number gived,exit
for param in "$@"
do
    tmp=${param%%=*}
    if [ "$tmp" = "--VerNum" ];then
	vernum=${param#*=}
    elif [ "$tmp" = "--SharedPath" ];then
        sharedpath=${param#*=}
    elif [ "$tmp" = "--RepoApps" ];then
        repoapps=${param#*=}
    elif [ "$tmp" = "--DebApps" ];then
        debapps=${param#*=}
    elif [ "$tmp" = "--WinApps" ];then
        winapps=${param#*=}
    fi
done

if [ "${vernum:0:5}" = "**Del" ] || [ "${sharedpath:0:5}" = "**Del" ] || [ "${repoapps:0:5}" = "**Del" ] || [ "${debapps:0:5}" = "**Del" ] || [ "${winapps}" = "**Del" ];then
    if [ -f $conf_file ];then
        rm -rf $conf_file
    fi
else
    cat /dev/null > $conf_file
    for param in "$@"
    do
        tmp=${param%%=*}
        if [ "$tmp" = "--VerNum" ];then
            echo $param >> $conf_file
        elif [ "$tmp" = "--SharedPath" ];then
            echo $param >> $conf_file
        elif [ "$tmp" = "--RepoApps" ];then
            echo $param >> $conf_file
        elif [ "$tmp" = "--DebApps" ];then
            echo $param >> $conf_file
        elif [ "$tmp" = "--WinApps" ];then
            echo $param >> $conf_file
        fi
    done
fi
