#!/bin/bash
for i in $@
do
	name=`echo $i |awk -F '=' '{print $1}'`
	if [ "$name" = "--username" ];then
		username=`echo $i |awk -F '=' '{print $2}'`
		if [ ! -d "/home/$username/.Policy/Network_Connections" ]; then
			mkdir -p /home/$username/.Policy/Network_Connections
		fi
		break
	fi
done
for i in $@
do
	lanPro=`echo $i |awk -F '=' '{print $1}'`
	if [ "$lanPro" = "--NC_LanProperties" ];then
		value=`echo $i |awk -F '=' '{print $2}'`
		case $value in
		    0|1)
				if [ ! -f "/home/$username/.Policy/Network_Connections/lanProperties" ]; then
					touch  /home/$username/.Policy/Network_Connections/lanProperties
				fi
				echo $i > /home/$username/.Policy/Network_Connections/lanProperties
		    ;;
		    **Del.0|**Del.1|**Del.)
				if [ -f "/home/$username/.Policy/Network_Connections/lanProperties" ]; then
					rm /home/$username/.Policy/Network_Connections/lanProperties
				fi
		    ;;
		    *)
		        echo "4:Unkonw argv! Please make sure! "
		        exit 1;
		    ;;
		esac
		break
	fi
done
exit 0
