#!/bin/bash

BASE_DIR="/var/inner_scripts/"
if [ ! -d $BASE_DIR ];then
	BASE_DIR="/usr/local/samba/var/inner_scripts/"
fi
DOMAIN_NAME=`wbinfo --own-domain`
echo $DOMAIN_NAME
if [ -z "$DOMAIN_NAME" ]; then
	exit 1
fi
LOGON_SCRIPT="logon_gpo.sh"
LOGOFF_SCRIPT="logoff_gpo.sh"
LOGOFF_DRIVES="logoff_drives.sh"

if [ "$1" = "open" ]; then
	#cmd=$BASE_DIR$LOGON_SCRIPT
	exit 0
elif [ "$1" = "close" ]; then
	cmd=$BASE_DIR$LOGOFF_SCRIPT
        cmd_drives=$BASE_DIR$LOGOFF_DRIVES
fi

echo $@ 
echo $cmd

if [[ "$2" == $DOMAIN_NAME* ]]; then
	echo "Will excute cmd"
	USER_NAME=$2
	USER_NAME=${USER_NAME#*$DOMAIN_NAME}
	source $cmd $USER_NAME
        source $cmd_drives $USER_NAME
fi

