#!/bin/bash


STAGE=''
TYPE=''
USERNAME=''
PASSWD=''
DEPASSWD=''
EXECUTE_FILES={}
STATEDIR=`smbd -b | grep STATEDIR | awk -F ' ' '{print $2}'`
EXEC_DIR=$STATEDIR/Policies/Executable
echo EXEC_DIR=$EXEC_DIR
echo $# $@
#exit 
while true
do
	case $1 in 
		--stage=*)
			STAGE=${1#*=}
			shift
			;;
		--type=*)
			TYPE=${1#*=}
			shift
			;;
		--username=*)
			USERNAME=${1#*=}
			shift
			;;
		--password=*)
			PASSWD=${1#*=}
			shift
			;;
		'')
			break
			;;
		*)
			echo 'Invalid parameter'
			shift
			;;
	esac
done

DEPASSWD=`echo $PASSWD | openssl enc -base64 -d`
echo STAGE = $STAGE  TYPE = $TYPE  USERNAME = $USERNAME  PASSWD = $DEPASSWD

EXECUTE_FILES=`ls $EXEC_DIR/$TYPE`
echo $EXECUTE_FILES

for file in $EXECUTE_FILES
do
	#echo $file
	echo  $EXEC_DIR$TYPE/$file --username=$USERNAME --password=$DEPASSWD 
	#`cmd`
	$EXEC_DIR/$TYPE/$file "--stage=$STAGE" "--type=$TYPE" "--username=$USERNAME" "--password=$DEPASSWD"
done
