#!/bin/bash

CONF_PATH=/etc/samba/policy.conf/removable.conf

while true;do
	case $1 in 
		--Deny_All=*)
			Deny_All=${1#*=}
			shift
			;;
		--username=*)
			U_NAME=${1#*=}
			shift
			;;
		'')
			break
			;;
		*)
			shift
			;;
	esac
done

#echo Deny_All=$Deny_All  USERNAME=$U_NAME

function machine_conf {
#	echo "machine configuration"
	if [[ $Deny_All == 1 ]];then
		echo "deny all" > $CONF_PATH
		echo "machine" >> $CONF_PATH
	elif [[ $Deny_All == 0 ]];then
		echo "deny none" > $CONF_PATH
		echo "machine" >> $CONF_PATH
	else 
		echo "deny none" > $CONF_PATH
	fi
}

function user_conf {
#	echo "user configuration"
	OLD_PARAMS=`cat /etc/samba/policy.conf/removable.conf`
	FLAG=`sed -n "2p" /etc/samba/policy.conf/removable.conf`
#	echo old para = $OLD_PARAMS  flag = $FLAG
	echo "params not exits"

	if [[ $FLAG == machine ]];then
		exit 0
	fi

	case $Deny_All in 
		1)
			echo "deny all" > $CONF_PATH
			;;
		0)
			echo "deny none" > $CONF_PATH
			;;
		*)
			echo "deny none" > $CONF_PATH
			;;
	esac
}

if [ ! -f '/etc/samba/policy.conf/removable.conf' ];then
#   echo "Configuration file not exist"
	touch /etc/samba/policy.conf/removable.conf
fi


case $U_NAME in 
	'')
		machine_conf
		;;
	*)
		user_conf
		;;
esac


#if [[ $Deny_All == 1 ]];then
#	echo "deny all" > /etc/samba/policy.conf/removable.conf
#else 
#	echo "deny none" > /etc/samba/policy.conf/removable.conf
#fi

#if [[ $Deny_All == "**Del"* ]];then
#	echo 'Do nothing and exit'
#	exit 0
#fi
#
#if [ $Deny_All -eq 1 ];then
#	echo "do deny removable.."
#	`./devctl.sh deny all`
#	#`/var/lib/samba/Policys/Microsoft/Windows/RemovableStorageDevices/devctl.sh deny all`
#else 
#	echo "do open removable.."
#	`./devctl.sh deny none`
#	#`/var/lib/samba/Policys/Microsoft/Windows/RemovableStorageDevices/devctl.sh deny none`
#fi
